<?php
/**
 * @file
 * deims_taxa.features.field.inc
 */

/**
 * Implements hook_field_default_fields().
 */
function deims_taxa_field_default_fields() {
  $fields = array();

  // Exported field: 'taxa-taxa-field_taxa_authority'.
  $fields['taxa-taxa-field_taxa_authority'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_taxa_authority',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(),
      'indexes' => array(),
      'locked' => '0',
      'module' => 'url',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'url',
    ),
    'field_instance' => array(
      'bundle' => 'taxa',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'e.g. USDA plants http://plants.usda.gov,  ITIS http://itis.gov,   Species2000 http://www.sp2000.org ,  Tropicos http://www.tropicos.org/, etc',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'url',
          'settings' => array(
            'nofollow' => FALSE,
            'trim_length' => 80,
          ),
          'type' => 'url_default',
          'weight' => 3,
        ),
        'teaser' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '2',
        ),
      ),
      'entity_type' => 'taxa',
      'field_name' => 'field_taxa_authority',
      'label' => 'Taxonomic Authority',
      'required' => 0,
      'settings' => array(
        'title_fetch' => 0,
        'title_field' => 0,
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'url',
        'settings' => array(
          'size' => '60',
        ),
        'type' => 'url_external',
        'weight' => '4',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'taxa-taxa-field_taxa_common'.
  $fields['taxa-taxa-field_taxa_common'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_taxa_common',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '255',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'taxa',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Type here a common name of the level selected above',
      'display' => array(
        'default' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '2',
        ),
        'teaser' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '1',
        ),
      ),
      'entity_type' => 'taxa',
      'field_name' => 'field_taxa_common',
      'label' => 'Common Name',
      'required' => 0,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'size' => '60',
        ),
        'type' => 'text_textfield',
        'weight' => '3',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'taxa-taxa-field_taxa_id'.
  $fields['taxa-taxa-field_taxa_id'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_taxa_id',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '150',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'taxa',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'The taxon identifier used by the corresponding Authority for identification and cataloguing purposes.  I.e, 823171 or ARABI',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => 4,
        ),
        'teaser' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '3',
        ),
      ),
      'entity_type' => 'taxa',
      'field_name' => 'field_taxa_id',
      'label' => 'Taxon ID',
      'required' => 0,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'size' => '40',
        ),
        'type' => 'text_textfield',
        'weight' => '5',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'taxa-taxa-field_taxa_rankname'.
  $fields['taxa-taxa-field_taxa_rankname'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_taxa_rankname',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(),
      'indexes' => array(
        'value' => array(
          0 => 'value',
        ),
      ),
      'locked' => '0',
      'module' => 'list',
      'settings' => array(
        'allowed_values' => array(
          'kingdom' => 'Kingdom',
          'phylum' => 'Phylum (zoology)',
          'division' => 'Division (botany)',
          'class' => 'Class',
          'order' => 'Order',
          'family' => 'Family',
          'genus' => 'Genus',
          'species' => 'Species',
        ),
        'allowed_values_function' => '',
      ),
      'translatable' => '0',
      'type' => 'list_text',
    ),
    'field_instance' => array(
      'bundle' => 'taxa',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Select the taxa level you want to provide scientific or common, or both names. It is recommended to provide information starting from the level kingdom, to a level which reflects the dataset being documented',
      'display' => array(
        'default' => array(
          'label' => 'inline',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_default',
          'weight' => '0',
        ),
        'teaser' => array(
          'label' => 'inline',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_default',
          'weight' => '0',
        ),
      ),
      'entity_type' => 'taxa',
      'field_name' => 'field_taxa_rankname',
      'label' => 'Level',
      'required' => 0,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'options',
        'settings' => array(
          'apply_chosen' => '',
        ),
        'type' => 'options_select',
        'weight' => '1',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'taxa-taxa-field_taxa_scientific'.
  $fields['taxa-taxa-field_taxa_scientific'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_taxa_scientific',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '255',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'taxa',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Type here a scientific name for the level selected above',
      'display' => array(
        'default' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '1',
        ),
        'teaser' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '4',
        ),
      ),
      'entity_type' => 'taxa',
      'field_name' => 'field_taxa_scientific',
      'label' => 'Scientific Name',
      'required' => 0,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'size' => '60',
        ),
        'type' => 'text_textfield',
        'weight' => '2',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Common Name');
  t('Level');
  t('Scientific Name');
  t('Select the taxa level you want to provide scientific or common, or both names. It is recommended to provide information starting from the level kingdom, to a level which reflects the dataset being documented');
  t('Taxon ID');
  t('Taxonomic Authority');
  t('The taxon identifier used by the corresponding Authority for identification and cataloguing purposes.  I.e, 823171 or ARABI');
  t('Type here a common name of the level selected above');
  t('Type here a scientific name for the level selected above');
  t('e.g. USDA plants http://plants.usda.gov,  ITIS http://itis.gov,   Species2000 http://www.sp2000.org ,  Tropicos http://www.tropicos.org/, etc');

  return $fields;
}
